stages:
  - yosys

open-pdk:
    stage: yosys
    variables:
        GIT_SUBMODULE_STRATEGY: recursive
    script:
      - source /tools/setup.sh
      - cd yosys
      - make -j16
      - export PATH=$PWD:$PATH
      - cd ..
      - wget https://gitlab.com/shaktiproject/cores/e-class/-/jobs/223404375/artifacts/download
      - mv download verilog-artifacts.zip
      - unzip verilog-artifacts.zip
      - mkdir workdir
      - cd workdir
      - yosys ../scripts/eclass-synth-yosis.ys | tee yosis.log
    only:
        - master
    tags:
        - shakti-runner
    artifacts:
      name: repo-artifacts
      paths:
        - .

